Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.gtwy.pbx
Class JtapiHandler

    java.lang.Object
      |
      +--cnrg.itx.gtwy.pbx.JtapiHandler

public class JtapiHandler
extends java.lang.Object

This is the service class used to dial and hangup. It uses Lucent's implementation of JTAPI to make a call. The application does the following for every call made:
1) Create Provider object (only when the JtapiHandler is created)
2) Create Address object for Calling Device
3) Create Terminal object for Calling Device
4) Create a Call object
5) Make call using the Call.connect method
6) When "Hang-up" is requested, drop call using Connection.disconnect() method
The JtapiPeer object is created once upon initialization of the PBX Server.

Field Summary
`private javax.telephony.JtapiPeer` | `jtapiPeer`
`private boolean` | `LOG`
`private java.lang.String` | `login`
`private java.lang.String` | `ME`
`private java.lang.String` | `password`
`protected javax.telephony.Provider` | `provider` If not null, the Provider obtained by this Jtapi handler.
`private java.lang.String` | `serviceID`

Constructor Summary
`(package private)` | `JtapiHandler(boolean log_option, java.lang.String l, java.lang.String p)` This creates a JtapiHandler object, logging us into the Tserver.

Method Summary
`javax.telephony.Provider` | `getProvider()` this method simply returns a provider
`private void` | `init()` Private method to set up the provider
`private boolean` | `initJtapi()` This method creates the JtapiPeer
`protected void` | `kickProvider()` If our provider dies, this routine should try to kick it back into action
`private void` | `login()` This method creates the Provider, after authenticating with the Tserver

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### ME

    private java.lang.String ME

### jtapiPeer

    private javax.telephony.JtapiPeer jtapiPeer

### provider

    protected javax.telephony.Provider provider

  If not null, the Provider obtained by this Jtapi handler.

### LOG

    private boolean LOG

### serviceID

    private java.lang.String serviceID

### login

    private java.lang.String login

### password

    private java.lang.String password

Constructor Detail

### JtapiHandler

    JtapiHandler(boolean log_option,
                 java.lang.String l,
                 java.lang.String p)
           throws PBXSignalingException

  This creates a JtapiHandler object, logging us into the Tserver.
  Parameters:
    `log_option` - true for debugging output
    `l` - String giving our login id
    `p` - String giving our password
  Throws:
    PBXSignalingException -

Method Detail

### kickProvider

    protected void kickProvider()
                         throws PBXSignalingException

  If our provider dies, this routine should try to kick it back into action

### init

    private void init()
               throws PBXSignalingException

  Private method to set up the provider

### initJtapi

    private boolean initJtapi()

  This method creates the JtapiPeer

### login

    private void login()
                throws PBXSignalingException

  This method creates the Provider, after authenticating with the Tserver

### getProvider

    public javax.telephony.Provider getProvider()

  this method simply returns a provider

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD